import { jsx as c } from "@emotion/react/jsx-runtime";
import { useBase as w } from "@m4l/core";
import { getSize as e } from "../../utils/getSize/index.js";
import { FooterNodeRootStyled as x } from "../../slots/PrintingSystemSlots.js";
const j = (r) => {
  const {
    children: s,
    direction: o = "row",
    gap: a = "unset",
    style: p,
    width: i = "auto",
    height: n = "auto",
    paddingTop: u = "unset",
    paddingRight: m = "unset",
    paddingBottom: h = "unset",
    paddingLeft: f = "unset",
    alignX: d = "unset",
    alignY: g = "unset",
    grow: l = !1
  } = r, { unitSize: t } = w();
  return /* @__PURE__ */ c(
    x,
    {
      style: {
        flexDirection: o,
        gap: e(a, t),
        width: e(i, t),
        height: e(n, t),
        minWidth: e(i, t),
        minHeight: e(n, t),
        paddingTop: e(u, t),
        paddingRight: e(m, t),
        paddingBottom: e(h, t),
        paddingLeft: e(f, t),
        justifyContent: o === "row" ? d : g,
        alignItems: o === "row" ? g : d,
        flex: l ? 1 : "unset",
        ...p
      },
      children: s
    }
  );
};
export {
  j as FooterNode
};
